#include "config.h"

// =================  SETUP =================== //
void setup() {
  Serial.begin(9600);



  /*** SETUP the objects for I2C chips **/
  day1.begin();
  day1.setClock(400000);
  for (uint8_t i = 0; i <= 16; i++) {
    day1.pinMode(i, OUTPUT);
  }
  day2.begin();
  day2.setClock(400000);
  for (uint8_t i = 0; i <= 16; i++) {
    day2.pinMode(i, OUTPUT);
  }

  day3.begin();
  day3.setClock(400000);
  for (uint8_t i = 0; i <= 16; i++) {
    day3.pinMode(i, OUTPUT);
  }


  /******** Connect WIFI *******/
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.println("Connecting...");
  }
}

// =================  LOOP =================== //
void loop() {
  //Serial.println(teller1);
  //  start every few miniutes to check of new forecast is in
  if (firstRun || teller1 > 1000000) { //1.000.000 millis = 15 minutes
    teller1 = 0;
    firstRun = false;
    winddataOphalen(); //will connect to the internet and get data from it
  }

  wireHeater();
  pulseCooldown = map(analogRead(A0), 300, 430, 0, 500);// 340 =~ 18C / 420 =~ 35C
  Serial.println(analogRead(A0));



}

//================= FUNCTION Get winddata ============///
void winddataOphalen() {

  if (WiFi.status() == WL_CONNECTED) {
    HTTPClient http;  //Object of class HTTPClient
    http.begin(JsonURL);      //get de html
    int httpCode = http.GET();

    if (httpCode > 0) { //If it gets anything, do everyting below
      String payload = http.getString();  // Get the  response
      //Serial.println(payload);
      voorspellingenDataArray(payload);
    }
    http.end();   //Close connection
  }
}
